Name:           nautilus-sendto
Version:        1.0.1
Release:        1%{?dist}
Summary:        Nautilus context menu for sending files

Group:          User Interface/Desktops
License:        GPLv2+
URL:            ftp://ftp.gnome.org/pub/gnome/sources/%{name}
Source0:        ftp://ftp.gnome.org/pub/gnome/sources/%{name}/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel
BuildRequires:  libglade2-devel
BuildRequires:  evolution-data-server-devel >= 1.9.1
BuildRequires:  libgnomeui-devel
BuildRequires:  nautilus-devel >= 2.5.4
BuildRequires:  pidgin-devel >= 2.0.0
BuildRequires:  gettext
BuildRequires:  perl-XML-Parser intltool
BuildRequires:  dbus-glib-devel >= 0.70

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

# For compat with old nautilus-sendto packaging
Provides: nautilus-sendto-gaim
Obsoletes: nautilus-sendto-bluetooth
Provides: nautilus-sendto-bluetooth

%description
The nautilus-sendto package provides a Nautilus context menu for
sending files via other desktop applications.  These functions are
implemented as plugins, so nautilus-sendto can be extended with
additional features.  This package provides a default plugin for
Evolution integration.


%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

find $RPM_BUILD_ROOT \( -name '*.a' -o -name '*.la' \) -exec rm -f {} \;
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/nst.schemas > /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/nst.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/nst.schemas > /dev/null || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS
%{_libdir}/nautilus/extensions-1.0/libnautilus-sendto.so
%dir %{_libdir}/nautilus-sendto
%dir %{_libdir}/nautilus-sendto/plugins
%{_libdir}/nautilus-sendto/plugins/*.so
%{_datadir}/nautilus-sendto
%{_bindir}/nautilus-sendto
%ifnarch s390 s390x
%{_libdir}/pidgin/nautilus.so
%endif
%{_sysconfdir}/gconf/schemas/nst.schemas
%{_mandir}/man1/nautilus-sendto.1.gz

%changelog
* Wed Jul 23 2008 - Bastien Nocera <bnocera@redhat.com> 1.0.1-1
- Update to 1.0.1

* Thu Jun 12 2008 - Bastien Nocera <bnocera@redhat.com> - 1.0.0-1
- Update to 1.0.0

* Thu Mar 27 2008 - Bastien Nocera <bnocera@redhat.com> - 0.14.0-1
- Update to 0.14.0
- Fixes sending through Thunderbird (#430973)

* Fri Dec 28 2007 Adel Gadllah <adel.gadllah@gmail.com> - 0.12-5
- Fix icq file transfers with pidgin RH #408511

* Mon Nov 19 2007 Matthias Clasen <mclasen@redhat.com> - 0.12-4
- Fix the pidgin plugin to work with libpurple (#389121)

* Wed Oct 10 2007 Matthias Clasen <mclasen@redhat.com> - 0.12-3
- Rebuild

* Mon Aug 13 2007 - Bastien Nocera <bnocera@redhat.com> - 0.12-2
- Fix the Thunderbird patch to apply properly

* Mon Aug 13 2007 - Bastien Nocera <bnocera@redhat.com> - 0.12-1
- Update to 0.12 and drop obsolete patches

* Tue Aug  7 2007 Matthias Clasen <mclasen@redhat.com> - 0.10-5
- Update the license field

* Fri May 11 2007 Stu Tomlinson <stu@nosnilmot.com> - 0.10-4
- Update to work with pidgin

* Wed May  9 2007 Matthias Clasen <mclasen@redhat.com> - 0.10-3
- Fix a problem with dbus error handling  (#239588)

* Mon Apr 16 2007 Warren Togami <wtogami@redhat.com> - 0.10-2
- disable gaim dep temporarily during transition to pidgin

* Sun Mar 11 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10-1
- Update to 0.10, as 0.9 didn't compile

* Fri Mar 09 2007 - Bastien Nocera <bnocera@redhat.com> - 0.9-1
- Update to 0.9
- Remove the bluetooth subpackage, it only depends on
  gbus-glib now

* Tue Jan 23 2007 Alexander Larsson <alexl@redhat.com> - 0.8-4
- Rebuild against new gaim (#223765)

* Wed Nov 15 2006 Matthias Clasen <mclasen@redhat.com> - 0.8-3
- Rebuild against new libbtctl

* Fri Oct 27 2006 Matthew Barnes <mbarnes@redhat.com> - 0.8-2
- Update BuildRequires for evolution-data-server-devel.
- Rebuild against evolution-data-server-1.9.1.

* Fri Oct 20 2006 Matthias Clasen <mclasen@redhat.com> - 0.8-1
- Upgrade to 0.8

* Sat Sep 16 2006 Matthias Clasen <mclasen@redhat.com> - 0.7-5
- Include Thunderbird support and make it work
- Add missing BRs

* Mon Aug 14 2006 Alexander Larsson <alexl@redhat.com> - 0.7-4
- Buildrequire nautilus-devel

* Thu Aug 10 2006 Alexander Larsson <alexl@redhat.com> - 0.7-3
- Make nautilus-sendto-bluetooth require gnome-bluetooth (#201908)

* Sat Aug 05 2006 Caolan McNamara <caolanm@redhat.com> - 0.7-2
- rebuild against new e-d-s

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.7-1.1
- rebuild

* Tue Jul 11 2006 Matthias Clasen  <mclasen@redhat.com> - 0.7-1
- Update to 0.7

* Wed Jun 14 2006 Alexander Larsson <alexl@redhat.com> - 0.5-4
- Rebuild again, hopefully fixing libbluetooth issue

* Mon Jun 12 2006 Alexander Larsson <alexl@redhat.com> - 0.5-3
- Rebuild for new libbluetooth soname

* Sat Jun 10 2006 Matthias Clasen <mclasen@redhat.com> 0.5-2
- Add missing BuildRequires

* Mon May 22 2006 Alexander Larsson <alexl@redhat.com> 0.5-1
- Update to 0.5
- Add libgnomeui-devel buildreq

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.4-7.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.4-7.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sat Jan 28 2006 David Malcolm <dmalcolm@redhat.com> 0.4-7
- rebuild for new e-d-s

* Tue Dec 20 2005 Alexander Larsson <alexl@redhat.com> 0.4-6
- Rebuild

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Nov  9 2005 Alexander Larsson <alexl@redhat.com> - 0.4-5
- Build in Core
- Move gaim plugin into main package
- Fix up some build requirements
- No bluetooth on s390*

* Sat Oct  8 2005 Paul W. Frields <stickster@gmail.com> - 0.4-4
- Eliminate superfluous Requires

* Sat Oct  8 2005 Paul W. Frields <stickster@gmail.com> - 0.4-3
- Rearrange Requires and BuildRequires for subpackages
- Include default Evolution plugin in main package

* Fri Oct  7 2005 Paul W. Frields <stickster@gmail.com> - 0.4-2
- Use appropriate BuildRequires for nautilus and gaim

* Fri Oct  7 2005 Paul W. Frields <stickster@gmail.com> - 0.4-1
- Initial version
